# -*- coding: utf-8 -*-

from m3.db import BaseEnumerate


class Okopf(BaseEnumerate):
    u"""Справочник ОКОПФ."""

    values = {
        "1 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ЮРИДИЧЕСКИХ ЛИЦ, "
                   u"ЯВЛЯЮЩИХСЯ КОММЕРЧЕСКИМИ КОРПОРАТИВНЫМИ ОРГАНИЗАЦИЯМИ",
        "1 10 00": u"Хозяйственные товарищества",
        "1 10 51": u"Полные товарищества",
        "1 10 64": u"Товарищества на вере (коммандитные товарищества)",
        "1 20 00": u"Хозяйственные общества",
        "1 22 00": u"Акционерные общества",
        "1 22 47": u"Публичные акционерные общества",
        "1 22 67": u"Непубличные акционерные общества",
        "1 23 00": u"Общества с ограниченной ответственностью",
        "1 30 00": u"Хозяйственные партнерства",
        "1 40 00": u"Производственные кооперативы (артели)",
        "1 41 00": u"Сельскохозяйственные производственные кооперативы",
        "1 41 53": u"Сельскохозяйственные артели (колхозы)",
        "1 41 54": u"Рыболовецкие артели (колхозы)",
        "1 41 55": u"Кооперативные хозяйства (коопхозы)",
        "1 42 00": u"Производственные кооперативы "
                   u"(кроме сельскохозяйственных "
                   u"производственных кооперативов)",
        "1 53 00": u"Крестьянские (фермерские) хозяйства",
        "1 90 00": u"Прочие юридические лица, являющиеся "
                   u"коммерческими организациями",
        "2 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ЮРИДИЧЕСКИХ ЛИЦ, "
                   u"ЯВЛЯЮЩИХСЯ НЕКОММЕРЧЕСКИМИ КОРПОРАТИВНЫМИ ОРГАНИЗАЦИЯМИ",
        "2 01 00": u"Потребительские кооперативы",
        "2 01 01": u"Гаражные и гаражно-строительные кооперативы",
        "2 01 02": u"Жилищные или жилищно-строительные кооперативы",
        "2 01 03": u"Жилищные накопительные кооперативы",
        "2 01 04": u"Кредитные потребительские кооперативы",
        "2 01 05": u"Кредитные потребительские кооперативы граждан",
        "2 01 06": u"Кредитные кооперативы второго уровня",
        "2 01 07": u"Потребительские общества",
        "2 01 08": u"Общества взаимного страхования",
        "2 01 09": u"Сельскохозяйственные потребительские "
                   u"перерабатывающие кооперативы",
        "2 01 10": u"Сельскохозяйственные потребительские "
                   u"сбытовые (торговые) кооперативы",
        "2 01 11": u"Сельскохозяйственные потребительские "
                   u"обслуживающие кооперативы",
        "2 01 12": u"Сельскохозяйственные потребительские "
                   u"снабженческие кооперативы",
        "2 01 13": u"Сельскохозяйственные потребительские "
                   u"садоводческие кооперативы",
        "2 01 14": u"Сельскохозяйственные потребительские "
                   u"огороднические кооперативы",
        "2 01 15": u"Сельскохозяйственные потребительские "
                   u"животноводческие кооперативы",
        "2 01 20": u"Садоводческие, огороднические или дачные "
                   u"потребительские кооперативы",
        "2 01 21": u"Фонды проката",
        "2 02 00": u"Общественные организации",
        "2 02 01": u"Политические партии",
        "2 02 02": u"Профсоюзные организации",
        "2 02 10": u"Общественные движения",
        "2 02 11": u"Органы общественной самодеятельности",
        "2 02 17": u"Территориальные общественные самоуправления",
        "2 06 00": u"Ассоциации (союзы)",
        "2 06 01": u"Ассоциации (союзы) экономического взаимодействия "
                   u"субъектов Российской Федерации",
        "2 06 03": u"Советы муниципальных образований "
                   u"субъектов Российской Федерации",
        "2 06 04": u"Союзы (ассоциации) кредитных кооперативов",
        "2 06 05": u"Союзы (ассоциации) кооперативов",
        "2 06 06": u"Союзы (ассоциации) общественных объединений",
        "2 06 07": u"Союзы (ассоциации) общин малочисленных народов",
        "2 06 08": u"Союзы потребительских обществ",
        "2 06 09": u"Адвокатские палаты",
        "2 06 10": u"Нотариальные палаты",
        "2 06 11": u"Торгово-промышленные палаты",
        "2 06 12": u"Объединения работодателей",
        "2 06 13": u"Объединения фермерских хозяйств",
        "2 06 14": u"Некоммерческие партнерства",
        "2 06 15": u"Адвокатские бюро",
        "2 06 16": u"Коллегии адвокатов",
        "2 06 17": u"Садоводческие, огороднические или "
                   u"дачные некоммерческие партнерства",
        "2 06 18": u"Ассоциации (союзы) садоводческих, огороднических и "
                   u"дачных некоммерческих объединений",
        "2 06 19": u"Саморегулируемые организации",
        "2 06 20": u"Объединения (ассоциации и союзы) "
                   u"благотворительных организаций",
        "2 07 00": u"Товарищества собственников недвижимости",
        "2 07 01": u"Садоводческие, огороднические или дачные "
                   u"некоммерческие товарищества",
        "2 07 16": u"Товарищества собственников жилья",
        "2 11 00": u"Казачьи общества, внесенные в государственный "
                   u"реестр казачьих обществ в Российской Федерации",
        "2 12 00": u"Общины коренных малочисленных народов "
                   u"Российской Федерации",
        "3 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ОРГАНИЗАЦИЙ, "
                   u"СОЗДАННЫХ БЕЗ ПРАВ ЮРИДИЧЕСКОГО ЛИЦА",
        "3 00 01": u"Представительства юридических лиц",
        "3 00 02": u"Филиалы юридических лиц",
        "3 00 03": u"Обособленные подразделения юридических лиц",
        "3 00 04": u"Структурные подразделения обособленных "
                   u"подразделений юридических лиц",
        "3 00 05": u"Паевые инвестиционные фонды",
        "3 00 06": u"Простые товарищества",
        "3 00 08": u"Районные суды, городские суды, "
                   u"межрайонные суды (районные суды)",
        "4 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ "
                   u"МЕЖДУНАРОДНЫХ ОРГАНИЗАЦИЙ, ОСУЩЕСТВЛЯЮЩИХ ДЕЯТЕЛЬНОСТЬ "
                   u"НА ТЕРРИТОРИИ РОССИЙСКОЙ ФЕДЕРАЦИИ",
        "4 00 01": u"Межправительственные международные организации",
        "4 00 02": u"Неправительственные международные организации",
        "5 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ДЛЯ ДЕЯТЕЛЬНОСТИ "
                   u"ГРАЖДАН (ФИЗИЧЕСКИХ ЛИЦ)",
        "5 01 00": u"Организационно-правовые формы для коммерческой "
                   u"деятельности граждан",
        "5 01 01": u"Главы крестьянских (фермерских) хозяйств",
        "5 01 02": u"Индивидуальные предприниматели",
        "5 02 00": u"Организационно-правовые формы для деятельности граждан, "
                   u"не отнесенной к предпринимательству",
        "5 02 01": u"Адвокаты, учредившие адвокатский кабинет",
        "5 02 02": u"Нотариусы, занимающиеся частной практикой",
        "6 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ЮРИДИЧЕСКИХ ЛИЦ, "
                   u"ЯВЛЯЮЩИХСЯ КОММЕРЧЕСКИМИ УНИТАРНЫМИ ОРГАНИЗАЦИЯМИ",
        "6 50 00": u"Унитарные предприятия",
        "6 51 00": u"Унитарные предприятия, основанные на праве оперативного "
                   u"управления (казенные предприятия)",
        "6 51 41": u"Федеральные казенные предприятия",
        "6 51 42": u"Казенные предприятия субъектов Российской Федерации",
        "6 51 43": u"Муниципальные казенные предприятия",
        "6 52 00": u"Унитарные предприятия, основанные на "
                   u"праве хозяйственного ведения",
        "6 52 41": u"Федеральные государственные унитарные предприятия",
        "6 52 42": u"Государственные унитарные предприятия субъектов "
                   u"Российской Федерации",
        "6 52 43": u"Муниципальные унитарные предприятия",
        "7 00 00": u"ОРГАНИЗАЦИОННО-ПРАВОВЫЕ ФОРМЫ ЮРИДИЧЕСКИХ ЛИЦ, "
                   u"ЯВЛЯЮЩИХСЯ НЕКОММЕРЧЕСКИМИ УНИТАРНЫМИ ОРГАНИЗАЦИЯМИ",
        "7 04 00": u"Фонды",
        "7 04 01": u"Благотворительные фонды",
        "7 04 02": u"Негосударственные пенсионные фонды",
        "7 04 03": u"Общественные фонды",
        "7 04 04": u"Экологические фонды",
        "7 14 00": u"Автономные некоммерческие организации",
        "7 15 00": u"Религиозные организации",
        "7 16 00": u"Публично-правовые компании",
        "7 16 01": u"Государственные корпорации",
        "7 16 02": u"Государственные компании",
        "7 16 10": u"Отделения иностранных некоммерческих "
                   u"неправительственных организаций",
        "7 50 00": u"Учреждения",
        "7 51 00": u"Учреждения, созданные Российской Федерацией",
        "7 51 01": u"Федеральные государственные автономные учреждения",
        "7 51 03": u"Федеральные государственные бюджетные учреждения",
        "7 51 04": u"Федеральные государственные казенные учреждения",
        "7 52 00": u"Учреждения, созданные субъектами Российской Федерации",
        "7 52 01": u"Государственные автономные учреждения "
                   u"субъектов Российской Федерации",
        "7 52 03": u"Государственные бюджетные учреждения субъектов "
                   u"Российской Федерации",
        "7 52 04": u"Государственные казенные учреждения субъектов "
                   u"Российской Федерации",
        "7 53 00": u"Государственные академии наук",
        "7 54 00": u"Учреждения, созданные муниципальными образованиями",
        "7 54 01": u"Муниципальные автономные учреждения",
        "7 54 03": u"Муниципальные бюджетные учреждения",
        "7 54 04": u"Муниципальные казенные учреждения",
        "7 55 00": u"Частные учреждения",
        "7 55 02": u"Благотворительные учреждения",
        "7 55 05": u"Общественные учреждения"
    }


class Okfs(BaseEnumerate):
    u"""Справочник ОКФС."""

    values = {
        11: u"Государственная собственность",
        49: u"Иная смешанная российская собственность",
        20: u"Иностранная собственность",
        14: u"Муниципальная собственность",
        10: u"Российская собственность",
        27: u"Смешанная иностранная собственность",
        17: u"Смешанная российская собственность",
        40: u"Смешанная российская собственность с долей "
            u"государственной собственности",
        42: u"Смешанная российская собственность с долей собственности "
            u"субъектов Российской Федерации",
        41: u"Смешанная российская собственность с долей федеральной "
            u"собственности",
        43: u"Смешанная российская собственность с долями федеральной "
            u"собственности и собственности субъектов Российской Федерации",
        50: u"Собственность благотворительных организаций",
        61: u"Собственность государственных корпораций",
        22: u"Собственность иностранных государств",
        24: u"Собственность иностранных граждан и лиц без гражданства",
        23: u"Собственность иностранных юридических лиц",
        21: u"Собственность международных организаций",
        15: u"Собственность общественных и религиозных "
            u"организаций (объединений)",
        53: u"Собственность общественных объединений",
        51: u"Собственность политических общественных объединений",
        19: u"Собственность потребительской кооперации",
        52: u"Собственность профессиональных союзов",
        54: u"Собственность религиозных объединений",
        18: u"Собственность российских граждан, постоянно "
            u"проживающих за границей",
        13: u"Собственность субъектов Российской Федерации",
        33: u"Совместная муниципальная и иностранная собственность",
        30: u"Совместная российская и иностранная собственность",
        35: u"Совместная собственность общественных и религиозных "
            u"организаций (объединений) и  иностранная собственность",
        32: u"Совместная собственность субъектов Российской Федерации "
            u"и иностранная собственность",
        31: u"Совместная федеральная и иностранная собственность",
        34: u"Совместная частная и иностранная собственность",
        12: u"Федеральная собственность",
        16: u"Частная собственность"
    }


class Okogu(BaseEnumerate):
    u"""Справочник ОКОГУ."""

    values = {
        "1000000": u"Государственная власть в Российской Федерации. "
                   u"Другие государственные органы Российской Федерации. "
                   u"Центральный банк Российской Федерации",
        "1100000": u"Президент Российской Федерации",
        "1100001": u"Совет Безопасности Российской Федерации",
        "1100002": u"Администрация Президента Российской Федерации",
        "1100003": u"Государственный совет Российской Федерации",
        "1200000": u"Законодательная власть в Российской Федерации",
        "1200100": u"Федеральное Собрание Российской Федерации",
        "1200101": u"Совет Федерации Федерального Собрания "
                   u"Российской Федерации",
        "1200102": u"Государственная Дума Федерального Собрания "
                   u"Российской Федерации",
        "1300000": u"Исполнительная власть в Российской Федерации",
        "1300001": u"Правительство Российской Федерации",
        "1310000": u"Федеральные министерства, федеральные службы и "
                   u"федеральные агентства, руководство деятельностью "
                   u"которых осуществляет Президент Российской Федерации, "
                   u"федеральные службы и федеральные агентства, "
                   u"подведомственные этим федеральным министерствам",
        "1310500": u"Министерство внутренних дел Российской Федерации",
        "1311500": u"Министерство Российской Федерации по делам гражданской "
                   u"обороны, чрезвычайным ситуациям и ликвидации "
                   u"последствий стихийных бедствий",
        "1312000": u"Министерство иностранных дел Российской Федерации",
        "1312055": u"Федеральное агентство по делам Содружества Независимых "
                   u"Государств, соотечественников, проживающих за рубежом, "
                   u"и по международному гуманитарному сотрудничеству",
        "1313500": u"Министерство обороны Российской Федерации",
        "1313505": u"Федеральная служба по военно-техническому "
                   u"сотрудничеству",
        "1313520": u"Федеральная служба по техническому и экспортному "
                   u"контролю",
        "1313570": u"Федеральное агентство специального строительства",
        "1318000": u"Федеральное агентство специального строительства",
        "1318010": u"Федеральное агентство специального строительства",
        "1318025": u"Федеральное агентство специального строительства",
        "1319805": u"Государственная фельдъегерская служба "
                   u"Российской Федерации (федеральная служба)",
        "1319810": u"Служба внешней разведки Российской Федерации "
                   u"(федеральная служба)",
        "1319815": u"Федеральная служба безопасности Российской Федерации "
                   u"(федеральная служба)",
        "1319820": u"Федеральная служба Российской Федерации по контролю за "
                   u"оборотом наркотиков (федеральная служба)",
        "1319825": u"Федеральная служба охраны Российской Федерации "
                   u"(федеральная служба)",
        "1319830": u"Федеральная служба по финансовому мониторингу "
                   u"(федеральная служба)",
        "1319905": u"Главное управление специальных программ Президента "
                   u"Российской Федерации (федеральное агентство)",
        "1319920": u"Управление делами Президента Российской Федерации "
                   u"(федеральное агентство)",
        "1320000": u"Федеральные министерства, руководство деятельностью "
                   u"которых осуществляет Правительство "
                   u"Российской Федерации, федеральные службы и "
                   u"федеральные агентства, подведомственные этим "
                   u"федеральным министерствам",
        "1320700": u"Министерство здравоохранения Российской Федерации",
        "1320705": u"Федеральная служба по надзору в сфере здравоохранения",
        "1320760": u"Федеральное медико-биологическое агентство",
        "1320800": u"Министерство Российской Федерации по делам Крыма "
                   u"(от 03.06.2014 N 490-ст)",
        "1321000": u"Министерство культуры Российской Федерации",
        "1321055": u"Федеральное архивное агентство",
        "1321065": u"Федеральное агентство по туризму",
        "1322500": u"Министерство образования и науки Российской Федерации",
        "1322520": u"Федеральная служба по надзору в сфере "
                   u"образования и науки",
        "1322555": u"Федеральное агентство по делам молодежи",
        "1323000": u"Министерство природных ресурсов и экологии "
                   u"Российской Федерации",
        "1323005": u"Федеральная служба по гидрометеорологии и мониторингу "
                   u"окружающей среды",
        "1323020": u"Федеральная служба по надзору в сфере "
                   u"природопользования",
        "1323055": u"Федеральное агентство водных ресурсов",
        "1323060": u"Федеральное агентство лесного хозяйства",
        "1323065": u"Федеральное агентство по недропользованию",
        "1323500": u"Министерство промышленности и торговли "
                   u"Российской Федерации",
        "1323565": u"Федеральное агентство по техническому "
                   u"регулированию и метрологии",
        "1323700": u"Министерство Российской Федерации по развитию "
                   u"Дальнего Востока",
        "1324500": u"Министерство связи и массовых коммуникаций "
                   u"Российской Федерации",
        "1324525": u"Федеральная служба по надзору в сфере связи, "
                   u"информационных технологий и массовых коммуникаций",
        "1324570": u"Федеральное агентство по печати и массовым "
                   u"коммуникациям",
        "1324575": u"Федеральное агентство связи",
        "1324700": u"Министерство Российской Федерации по делам "
                   u"Северного Кавказа",
        "1325000": u"Министерство сельского хозяйства Российской Федерации",
        "1325005": u"Федеральная служба по ветеринарному и "
                   u"фитосанитарному надзору",
        "1325060": u"Федеральное агентство по рыболовству",
        "1325500": u"Министерство спорта Российской Федерации",
        "1325800": u"Министерство строительства и жилищно-коммунального "
                   u"хозяйства Российской Федерации",
        "1326000": u"Министерство транспорта Российской Федерации",
        "1326030": u"Федеральная служба по надзору в сфере транспорта",
        "1326055": u"Федеральное агентство воздушного транспорта",
        "1326060": u"Федеральное дорожное агентство",
        "1326065": u"Федеральное агентство железнодорожного транспорта",
        "1326080": u"Федеральное агентство морского и речного транспорта",
        "1326500": u"Министерство труда и социальной защиты "
                   u"Российской Федерации",
        "1326510": u"Федеральная служба по труду и занятости",
        "1327000": u"Министерство финансов Российской Федерации",
        "1327010": u"Федеральная налоговая служба",
        "1327030": u"Федеральная служба финансово-бюджетного надзора",
        "1327035": u"Федеральное казначейство (федеральная служба)",
        "1328000": u"Министерство экономического развития "
                   u"Российской Федерации",
        "1328005": u"Федеральная служба по аккредитации",
        "1328030": u"Федеральная служба государственной регистрации, "
                   u"кадастра и картографии",
        "1328040": u"Федеральная служба по интеллектуальной собственности",
        "1328060": u"Федеральное агентство по государственным резервам",
        "1328080": u"Федеральное агентство по управлению государственным "
                   u"имуществом",
        "1328500": u"Министерство энергетики Российской Федерации",
        "1330000": u"Федеральные службы и федеральные агентства, "
                   u"руководство деятельностью которых осуществляет "
                   u"Правительство Российской Федерации",
        "1330405": u"Федеральная антимонопольная служба",
        "1330410": u"Федеральная служба государственной статистики",
        "1330412": u"Федеральная миграционная служба",
        "1330415": u"Федеральная служба по надзору в сфере защиты прав "
                   u"потребителей и благополучия человека",
        "1330430": u"Федеральная таможенная служба",
        "1330435": u"Федеральная служба по тарифам",
        "1330450": u"Федеральная служба по регулированию алкогольного рынка",
        "1330455": u"Федеральная служба по экологическому, "
                   u"технологическому и атомному надзору",
        "1330610": u"Федеральное космическое агентство",
        "1330612": u"Федеральное агентство научных организаций",
        "1330615": u"Федеральное агентство по обустройству государственной "
                   u"границы Российской Федерации",
        "1400000": u"Судебная власть в Российской Федерации",
        "1400010": u"Конституционный суд Российской Федерации",
        "1400020": u"Верховный Суд Российской Федерации",
        "1400025": u"Судебный департамент при Верховном Суде "
                   u"Российской Федерации",
        "1400026": u"Система федеральных судов общей юрисдикции",
        "1400027": u"Система федеральных арбитражных судов",
        "1400040": u"Система прокуратуры Российской Федерации",
        "1400050": u"Следственный комитет Российской Федерации",
        "1500000": u"Другие государственные органы Российской Федерации. "
                   u"Центральный банк Российской Федерации",
        "1500002": u"Счетная палата Российской Федерации",
        "1500003": u"Центральная избирательная комиссия Российской Федерации",
        "1500004": u"Уполномоченный по правам человека в "
                   u"Российской Федерации",
        "1500010": u"Центральный банк Российской Федерации",
        "2000000": u"Государственная власть в субъектах "
                   u"Российской Федерации. Другие государственные органы "
                   u"субъектов Российской Федерации",
        "2100000": u"Высшее должностное лицо субъекта Российской Федерации",
        "2200000": u"Законодательная (представительная) власть субъектов "
                   u"Российской Федерации",
        "2300000": u"Исполнительная власть субъектов Российской Федерации",
        "2300001": u"Правительства (Администрации) субъектов "
                   u"Российской Федерации",
        "2300200": u"Органы исполнительной власти субъектов "
                   u"Российской Федерации",
        "2300215": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"финансирования",
        "2300216": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области экономики",
        "2300217": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"промышленности и торговли",
        "2300219": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"сельского хозяйства",
        "2300220": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"труда и социальных вопросов",
        "2300223": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"образования и науки",
        "2300225": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"физической культуры и спорта",
        "2300227": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"предупреждения и "
                   u"ликвидации последствий стихийных бедствий",
        "2300228": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"охраны окружающей среды",
        "2300229": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"здравоохранения",
        "2300230": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"жилищно-коммунального хозяйства",
        "2300231": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области культуры",
        "2300232": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"связи и средств массовой информации",
        "2300234": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u"транспорта и дорожного строительства",
        "2300236": u"Органы исполнительной власти субъектов Российской "
                   u"Федерации, осуществляющие функции в области "
                   u" архитектуры и строительства",
        "2300280": u"Органы исполнительной власти субъектов "
                   u"Российской Федерации, осуществляющие другие функции",
        "2400000": u"Органы судебной власти субъектов Российской Федерации",
        "2400100": u"Конституционные (уставные) суды субъектов "
                   u"Российской Федерации",
        "2400400": u"Мировые судьи",
        "2500000": u"Другие государственные органы субъектов "
                   u"Российской Федерации",
        "2500030": u"Уполномоченные по правам человека субъектов "
                   u"Российской Федерации",
        "2500040": u"Контрольно-счетные органы субъектов "
                   u"Российской Федерации",
        "2500050": u"Избирательные комиссии субъектов Российской Федерации",
        "3000000": u"Местное самоуправление в Российской Федерации. "
                   u"Избирательные комиссии муниципальных образований",
        "3200000": u"Представительные органы муниципальных образований",
        "3200100": u"Представительные органы муниципальных районов",
        "3200200": u"Представительные органы городских округов",
        "3200300": u"Представительные органы внутригородских территорий "
                   u"(внутригородских муниципальных образований) "
                   u"городов федерального значения",
        "3200400": u"Представительные органы городских поселений",
        "3200500": u"Представительные органы сельских поселений",
        "3300000": u"Местные администрации (исполнительно-распорядительные "
                   u"органы муниципальных образований)",
        "3300100": u"Местные администрации (исполнительно-распорядительные "
                   u"органы) муниципальных районов",
        "3300200": u"Местные администрации (исполнительно-распорядительные "
                   u"органы) городских округов",
        "3300300": u"Местные администрации (исполнительно-распорядительные "
                   u"органы) внутригородских территорий (внутригородских "
                   u"муниципальных образований) "
                   u"городов федерального значения",
        "3300400": u"Местные администрации (исполнительно-распорядительные "
                   u"органы) городских поселений",
        "3300500": u"Местные администрации (исполнительно-распорядительные "
                   u"органы) сельских поселений",
        "3400000": u"Контрольно-счетные органы муниципальных образований",
        "3400100": u"Контрольно-счетные органы муниципальных районов",
        "3400200": u"Контрольно-счетные органы городских округов",
        "3400300": u"Контрольно-счетные органы внутригородских территорий "
                   u"(внутригородских муниципальных образований) "
                   u"городов федерального значения",
        "3400400": u"Контрольно-счетные органы городских поселений",
        "3400500": u"Контрольно-счетные органы сельских поселений",
        "3500000": u"Иные органы местного самоуправления",
        "3500100": u"Иные органы муниципальных районов",
        "3500200": u"Иные органы городских округов",
        "3500300": u"Иные органы внутригородских территорий "
                   u"городов федерального значения",
        "3500400": u"Иные органы городских поселений",
        "3500500": u"Иные органы сельских поселений",
        "3900000": u"Избирательные комиссии муниципальных образований",
        "3900100": u"Избирательные комиссии муниципальных районов",
        "3900200": u"Избирательные комиссии городских округов",
        "3900300": u"Избирательные комиссии внутригородских территорий "
                   u"городов федерального значения",
        "3900400": u"Избирательные комиссии городских поселений",
        "3900500": u"Избирательные комиссии сельских поселений",
        "4000000": u"Организации, по которым осуществляется федеральное "
                   u"статистическое наблюдение. Группировки хозяйствующих "
                   u"субъектов и общественных объединений, используемые "
                   u"для официального статистического учета",
        "4100000": u"Организации, по которым осуществляется федеральное "
                   u"статистическое наблюдение",
        "4100100": u"Банки",
        "4100102": u"Банк ВТБ (открытое акционерное общество)",
        "4100103": u'Государственная корпорация "Банк развития и '
                   u'внешнеэкономической деятельности (Внешэкономбанк)"',
        "4100104": u'Открытое акционерное общество "Сбербанк России"',
        "4100200": u"Фонды",
        "4100201": u"Пенсионный фонд Российской Федерации",
        "4100202": u"Федеральный фонд обязательного медицинского страхования",
        "4100203": u"Фонд социального страхования Российской Федерации",
        "4100204": u'Федеральное государственное бюджетное учреждение '
                   u'"Российский гуманитарный научный фонд"',
        "4100205": u'Федеральное государственное бюджетное учреждение '
                   u'"Российский фонд фундаментальных исследований"',
        "4100206": u'Федеральное государственное бюджетное учреждение '
                   u'"Фонд содействия развитию малых форм предприятий '
                   u'в научно-технической сфере"',
        "4100207": u"Федеральный фонд содействия развитию "
                   u"жилищного строительства",
        "4100208": u"Фонд перспективных исследований",
        "4100300": u"Государственные корпорации",
        "4100301": u'Государственная корпорация по атомной энергии "Росатом"',
        "4100304": u'Государственная корпорация по содействию разработке, '
                   u'производству и экспорту высокотехнологичной '
                   u'промышленной продукции "Ростехнологии"',
        "4100305": u"Агентство по страхованию вкладов",
        "4100306": u"Фонд содействия реформированию "
                   u"жилищно-коммунального хозяйства",
        "4100400": u"Государственные компании",
        "4100401": u'Государственная компания '
                   u'"Российские автомобильные дороги"',
        "4100500": u"Российские академии",
        "4100501": u'Федеральное государственное бюджетное '
                   u'учреждение "Российская академия наук"',
        "4100504": u"Российская академия архитектуры и строительных наук",
        "4100505": u"Российская академия образования",
        "4100506": u"Российская академия художеств",
        "4100600": u"Акционерные общества",
        "4100601": u'Открытое акционерное общество "Газпром"',
        "4100602": u'Открытое акционерное общество '
                   u'"Российская агрохимическая компания"',
        "4100603": u'Открытое акционерное общество "БИОПРЕПАРАТ"',
        "4100604": u'Акционерное общество открытого типа "Концерн "ДеКО"',
        "4100605": u'Открытое акционерное общество '
                   u'"Российская государственная страховая компания"',
        "4100606": u'Открытое акционерное общество '
                   u'"Федеральная контрактная корпорация "РОСКОНТРАКТ"',
        "4100607": u'Открытое акционерное общество '
                   u'"Российская топливная компания" - Ростоппром',
        "4100608": u'Открытое акционерное общество Российская '
                   u'автотранспортная компания "Росавтотранс"',
        "4100609": u'Открытое акционерное общество '
                   u'"Государственное акционерное общество '
                   u'"Всероссийский выставочный центр"',
        "4100610": u'Открытое акционерное общество "Россевзапстрой"',
        "4100612": u'Открытое акционерное общество '
                   u'"Российские железные дороги"',
        "4100614": u'Открытое акционерное общество '
                   u'"Нефтяная компания "Роснефть"',
        "4100615": u'Открытое акционерное общество '
                   u'"Нефтяная компания "ЛУКОЙЛ"',
        "4100617": u'Открытое акционерное общество '
                   u'"Акционерная компания по транспорту нефти "Транснефть"',
        "4100618": u'Открытое акционерное общество '
                   u'"Акционерная компания трубопроводного транспорта '
                   u'нефтепродуктов "Транснефтепродукт"',
        "4100622": u'Открытое акционерное общество "Газпром нефть"',
        "4100623": u'Открытое акционерное общество "РОСНАНО"',
        "4100900": u"Другие организации, по которым осуществляется "
                   u"федеральное статистическое наблюдение",
        "4100901": u"Общественная палата Российской Федерации",
        "4100902": u'Межреспубликанская ассоциация учебных заведений '
                   u'по подготовке и переподготовке кадров '
                   u'машиностроения "Машиностроитель"',
        "4100903": u"Центральный союз потребительских обществ "
                   u"Российской Федерации",
        "4100907": u"Агентство стратегических инициатив по продвижению "
                   u"новых проектов",
        "4200000": u"Группировки хозяйствующих субъектов и общественных "
                   u"объединений, используемые для официального "
                   u"статистического учета",
        "4210000": u"Группировки хозяйствующих субъектов",
        "4210001": u"Хозяйственные общества, образованные из государственных "
                   u"предприятий, добровольных объединений "
                   u"государственных предприятий",
        "4210004": u"Акционерные общества, товарищества, "
                   u"сельскохозяйственные производственные кооперативы, "
                   u"образованные при реорганизации колхозов и совхозов "
                   u"и приватизации отдельных сельскохозяйственных "
                   u"предприятий",
        "4210005": u"Крестьянские (фермерские) хозяйства",
        "4210007": u"Муниципальные организации",
        "4210008": u"Приватизированные предприятия",
        "4210009": u"Иностранные юридические лица и их представительства, "
                   u"осуществляющие деятельность на территории "
                   u"Российской Федерации (кроме некоммерческих "
                   u"неправительственных организаций)",
        "4210011": u"Хозяйственные общества и товарищества с участием "
                   u"иностранных юридических и (или) физических лиц, "
                   u"а также лиц без гражданства",
        "4210012": u"Представительства (посольства) иностранных государств, "
                   u"иные представительства органов управления иностранных "
                   u"государств, отделения, филиалы, представительства "
                   u"иностранных некоммерческих неправительственных "
                   u"организаций",
        "4210014": u"Организации, учрежденные юридическими лицами или "
                   u"гражданами, или юридическими лицами и гражданами "
                   u"совместно",
        "4210015": u"Индивидуальные предприниматели",
        "4210020": u"Казачьи общества, созданные в форме некоммерческой "
                   u"организации и внесенные в государственный реестр "
                   u"казачьих обществ в Российской Федерации",
        "4210021": u"Добровольные объединения (ассоциации) экономического "
                   u"взаимодействия субъектов Российской Федерации, "
                   u"органов местного самоуправления",
        "4210090": u"Другие хозяйствующие субъекты",
        "4220000": u"Общественные объединения",
        "4220001": u"Общероссийские общественные объединения",
        "4220002": u"Межрегиональные общественные объединения",
        "4220003": u"Региональные и местные общественные объединения",
        "4220004": u"Международные общественные объединения",
        "5000000": u"Межгосударственные органы управления",
        "5100000": u"Межгосударственные органы управления, "
                   u"образованные странами с участием Российской Федерации",
        "5100001": u"Межгосударственный авиационный комитет - исполнительный "
                   u"орган Содружества Независимых Государств",
        "5100002": u"Комитет по делам воинов-интернационалистов при "
                   u"Совете глав правительств государств - участников "
                   u"Содружества Независимых Государств",
        "5100003": u"Электроэнергетический совет Содружества "
                   u"Независимых Государств",
        "5100004": u"Межгосударственный банк",
        "5100006": u"Межгосударственное евроазиатское объединение "
                   u"угля и металла",
        "5100007": u"Исполнительный комитет Содружества "
                   u"Независимых Государств",
        "5100009": u"Главное командование объединенных вооруженных сил СНГ",
        "5100011": u"Межгосударственный статистический комитет Содружества "
                   u"Независимых Государств",
        "5100013": u"Международный банк экономического сотрудничества",
        "5100014": u"Международный инвестиционный банк",
        "5100018": u"Организация Договора о коллективной безопасности",
        "5100019": u"Исполнительный комитет Союза Беларуси и России",
        "5100021": u"Координационный совет генеральных прокуроров "
                   u"государств - участников Содружества "
                   u"Независимых Государств",
        "5100024": u"Евразийская группа по противодействию легализации "
                   u"преступных доходов и финансированию терроризма",
        "5100025": u"Евразийский экономический союз",
        "5100029": u"Шанхайская организация сотрудничества"
    }


class Citizenship(BaseEnumerate):
    u"""Гражданство."""

    RF_CITIZEN = 1
    DOUBLE_CITIZEN = 2
    EXTERNAL_CITIZEN = 3
    WITHOUT_CITIZEN = 4

    values = {
        RF_CITIZEN: u"Гражданин Российской Федерации",
        DOUBLE_CITIZEN: u"Гражданин Российской Федерации и "
                        u"иностранного государства (двойное гражданство)",
        EXTERNAL_CITIZEN: u"Иностранный гражданин",
        WITHOUT_CITIZEN: u"Лицо без гражданства"
    }


class PhysicalCultureGroups(BaseEnumerate):
    u"""Физкультурные группы."""

    MAIN = 21
    PREPARATORY = 22
    SPECIAL = 23

    values = {
        MAIN: u"Основная",
        PREPARATORY: u"Подготовительная",
        SPECIAL: u"Специальная"
    }


class HealthGroups(BaseEnumerate):
    u"""Группа здоровья."""

    HEALTHY = 11
    SLIGHT_DEVIATIONS = 12
    CHRONIC_DISEASES_AND_WELLNESS = 13
    CHRONIC_DISEASES_AND_POOR_HEALTH = 14
    CHRONIC_DISEASE_AND_OBSERVED = 15

    values = {
        HEALTHY: u"Группа 1 - здоровые",
        SLIGHT_DEVIATIONS: u"Группа 2 - с незначительными отклонениями",
        CHRONIC_DISEASES_AND_WELLNESS: u"Группа 3 - с хроническими "
                                       u"заболеваниями и хорошим "
                                       u"самочувствием, либо с временными "
                                       u"отклонениями в состоянии здоровья",
        CHRONIC_DISEASES_AND_POOR_HEALTH: u"Группа 4 - с хроническими "
                                          u"заболеваниями и плохим "
                                          u"самочувствием",
        CHRONIC_DISEASE_AND_OBSERVED: u"Группа 5 - с хроническими "
                                      u"заболеваниями и "
                                      u"наблюдаются в специальных лечебницах"
    }


class DisabilityGroups(BaseEnumerate):
    u"""Группы инвалидности."""

    FIRST_GROUP = 11
    SECOND_GROUP = 12
    THIRD_GROUP = 13
    DISABLED_CHILD = 14

    values = {
        FIRST_GROUP: u"Первая группа",
        SECOND_GROUP: u"Вторая группа",
        THIRD_GROUP: u"Третья группа",
        DISABLED_CHILD: u"Ребенок-инвалид (для лиц до 18 лет)"
    }


class CertainCategoriesOfDisability(BaseEnumerate):
    u"""Отдельные категории инвалидности."""

    DISABLED_SINCE_CHILDHOOD = 21
    ARMY_INVALID = 22

    values = {
        DISABLED_SINCE_CHILDHOOD: u"Инвалид с детства",
        ARMY_INVALID: u"Инвалид вследствие военной травмы или заболевания, "
                      u"полученного в период прохождения военной службы"
    }


class OrganizationKindByFounder(BaseEnumerate):
    u"""Вид организации по учредителю."""

    RF = 1
    RF_SUBJECT = 2
    MO = 3
    RF_COMMERCIAL_ORGANIZATION = 4
    EXTERNAL_COMMERCIAL_ORGANIZATION = 5
    RF_NON_COMMERCIAL_ORGANIZATION = 6
    EXTERNAL_NON_COMMERCIAL_ORGANIZATION = 7
    RF_RELIGION_ORGANIZATION = 8
    EXTERNAL_RELIGION_ORGANIZATION = 9
    RF_CITIZENSHIP = 10
    EXTERNAL_CITIZENSHIP = 11

    values = {
        RF: u"Российская Федерация",
        RF_SUBJECT: u"Субъект Российской Федерации",
        MO: u"Муниципальное образование",
        RF_COMMERCIAL_ORGANIZATION: u"Российские коммерческие организации",
        EXTERNAL_COMMERCIAL_ORGANIZATION: u"Иностранные коммерческие "
                                          u"организации",
        RF_NON_COMMERCIAL_ORGANIZATION: u"Российские некоммерческие "
                                        u"организации",
        EXTERNAL_NON_COMMERCIAL_ORGANIZATION: u"Иностранные некоммерческие "
                                              u"организации",
        RF_RELIGION_ORGANIZATION: u"Российские религиозные организации",
        EXTERNAL_RELIGION_ORGANIZATION: u"Иностранные религиозные "
                                        u"организации",
        RF_CITIZENSHIP: u"Граждане Российской Федерации",
        EXTERNAL_CITIZENSHIP: u"Иностранные граждане"
    }


class OrganizationStatus(BaseEnumerate):
    """Статусы организаций"""

    FUNCTIONS = 1
    CAPITAL_REPAIRS = 2
    RECONSTRUCTION = 3
    ACTIVITY_STOPPED = 4
    CONTINGENT_MISSING = 5
    PENDING_THE_OPENING = 6
    LIQUIDATED = 7
    CLOSED = 8
    JOINED_OTHER_ORGANIZATIONS = 9

    values = {
        FUNCTIONS: u"Функционирует",
        CAPITAL_REPAIRS: u"Капитальный ремонт",
        RECONSTRUCTION: u"Реконструкция",
        ACTIVITY_STOPPED: u"Деятельность приостановлена",
        CONTINGENT_MISSING: u"Контингент отсутствует",
        PENDING_THE_OPENING: u"Ожидает открытия",
        LIQUIDATED: u"Ликвидирована",
        CLOSED: u"Закрыта",
        JOINED_OTHER_ORGANIZATIONS: u"Присоединена к другой организации"
    }


class BaseEnumerateProductSpecific(BaseEnumerate):
    """BaseEnumerate различный для всех продуктов"""

    values = {}
    web_edu_codes = []
    kinder_codes = []
    ssuz_codes = []
    extedu_codes = []

    @classmethod
    def _get_choices(cls, keys):
        return [(k, v) for k, v in cls.values.iteritems() if k in keys]

    @classmethod
    def get_webedu_choices(cls):
        return cls._get_choices(cls.web_edu_codes)

    @classmethod
    def get_kinder_choices(cls):
        return cls._get_choices(cls.kinder_codes)

    @classmethod
    def get_ssuz_choices(cls):
        return cls._get_choices(cls.ssuz_codes)

    @classmethod
    def get_extedu_choices(cls):
        return cls._get_choices(cls.extedu_codes)

    @classmethod
    def get_all_values(cls):
        return cls._get_choices(cls.values.iterkeys())


class EduProgramKind(BaseEnumerateProductSpecific):
    u"""
    Справочник образовательных программ.

    Содержит все виды обр.программ по УФТТ,
    для работы с ограниченным для конкретного продукта справочником
    необходимо использовать

        get_webedu_choices
        get_kinder_choices
        get_ssuz_choices
        get_extedu_choices
    """

    values = {
        1: u"Основная общеобразовательная программа",
        11: u"Образовательная программа дошкольного образования",
        12: u"Образовательная программа начального общего образования",
        13: u"Образовательная программа основного общего образования",
        14: u"Образовательная программа среднего общего образования",
        15: u"Адаптированная основная общеобразовательная программа",
        2: u"Основная профессиональная образовательная программа",
        21: u"Образовательная программа среднего профессионального"
            u" образования",
        211: u"Программа подготовки квалифицированных рабочих, служащих",
        212: u"Программа подготовки специалистов среднего звена",
        23: u"Образовательная программа, адаптированная для обучения лиц"
            u" с ограниченными возможностями здоровья",
        3: u"Основная программа профессионального обучения",
        31: u"Программа профессиональной подготовки по профессиям рабочих,"
            u" должностям служащих",
        32: u"Программа переподготовки рабочих, служащих,",
        33: u"Программа повышения квалификации рабочих, служащих.",
        4: u"Дополнительная образовательная программа",
        41: u"Дополнительная общеобразовательная программа",
        411: u"Дополнительная общеразвивающая программа",
        412: u"Дополнительная предпрофессиональная программа",
        42: u"Дополнительная профессиональная программа",
        421: u"Программа повышения квалификации",
        422: u"Программа профессиональной переподготовки",
        5: u"Адаптированная образовательная программа",
        51: u"Адаптированная основная общеобразовательная программа",
        52: u"Образовательная программа, адаптированная для обучения лиц с"
            u" ограниченными возможностями здоровья",
    }

    # коды, соответствующие видам обр.программ в Электронной Школе
    web_edu_codes = [
        1, 11, 12, 13, 14, 15, 211, 212, 4, 41, 411, 412
    ]

    # коды, соответствующие видам обр.программ в Электронном Детском Саду
    kinder_codes = []

    # коды, соответствующие видам обр.программ в Электронном Колледже
    ssuz_codes = [211, 212]

    # коды, соответствующие видам обр.программ в Электронном Доп.образовании
    extedu_codes = []


class EduDocumentOnEducationTypes(BaseEnumerate):
    u"""
    Справочник 'Типы документов об образовании'.
    """

    values = {
        11: u'Аттестат о среднем общем образовании',
        12: u'Аттестат об основном общем образовании',
        4: u'Справка об обучении',
        41: u'Свидетельство об обучении для лиц с ограниченными возможностями '
            u'здоровья (с различными формами умственной отсталости)',
        6: u'Другой документ об образовании',
        7: u'Другой документ об обучении'
    }


class DifficultSituations(BaseEnumerate):
    """Трудные жизненные ситуации"""

    values = {
        101: u"Дети, оставшиеся без попечения родителей "
             u"по причине смерти родителей",
        102: u"Дети, оставшиеся без попечения родителей "
             u"по причине лишения родителей родительских прав",
        103: u"Дети, оставшиеся без попечения родителей по "
             u"причине ограничения родителей в родительских правах",
        104: u"Дети, оставшиеся без попечения родителей по "
             u"причине признания родителей недееспособными",
        105: u"Дети, оставшиеся без попечения родителей по "
             u"причине болезни родителей",
        106: u"Дети, оставшиеся без попечения родителей по "
             u"причине длительного отсутствия родителей",
        2: u"Дети-инвалиды",
        301: u"Дети с нарушениями слуха",
        302: u"Дети с нарушениями зрения",
        303: u"Дети с тяжелыми нарушениями речи",
        304: u"Дети с нарушением опорно-двигательного аппарата",
        305: u"Дети с детским церебральным параличом",
        306: u"Дети с интеллектуальными нарушениями",
        307: u"Дети с расстройством аутистического спектра",
        308: u"Дети с задержкой психического развития",
        309: u"Дети с психическими заболеваниями",
        310: u"Дети с заболеваниями нервной системы",
        311: u"Дети со сложной структурой дефекта",
        4: u"Дети - жертвы вооруженных и межнациональных конфликтов, "
           u"экологических и техногенных катастроф, стихийных бедствий",
        5: u"Дети - жертвы экологических и техногенных катастроф, "
           u"стихийных бедствий",
        6: u"Дети из семей беженцев и вынужденных переселенцев",
        7: u"Дети, оказавшиеся в экстремальных условиях",
        8: u"Дети - жертвы насилия",
        9: u"Дети, отбывающие наказание в виде лишения "
           u"свободы в воспитательных колониях",
        10: u"Дети, с девиантным (общественно опасным) поведением",
        11: u"Дети, проживающие в малоимущих семьях",
        12: u"Дети с отклонениями в поведении",
        13: u"Дети, жизнедеятельность которых объективно "
            u"нарушена в результате сложившихся обстоятельств"
    }


class LegalDelegateTypes(BaseEnumerateProductSpecific):
    """Тип законного представителя"""

    PARENT = 1
    CURATOR = 2
    TRUSTEE = 3
    AGENCY_OF_TRUSTEE = 4
    ADOPTIVE_PARENT = 5
    EDUCATION_AGENCY_LEADER = 6

    values = {
        PARENT: u"Родитель",
        CURATOR: u"Опекун",
        TRUSTEE: u"Попечитель",
        AGENCY_OF_TRUSTEE: u"Орган опеки и попечительства",
        ADOPTIVE_PARENT: u"Приемный родитель",
        EDUCATION_AGENCY_LEADER: u"Руководитель воспитательного, лечебного и "
                                 u"иного учреждения, в котором ребенок "
                                 u"находится на полном "
                                 u"государственном обеспечении"
    }

    # коды, соответствующие типам законного представителя в Электронной Школе
    web_edu_codes = []

    # коды, соответствующие типам законного представителя в
    # Электронном Детском Саду
    kinder_codes = [2, 4, 5]

    # коды, соответствующие типам законного представителя в
    # Электронном Колледже
    ssuz_codes = [2, 3, 4, 5, 6]

    # коды, соответствующие типам законного представителя в
    # Электронном Доп.образовании
    extedu_codes = []
